<template>
  <van-field @input="onChange" center v-bind="$attrs" :label="$t(label)">
    <template v-slot:input>
      <slot></slot>
    </template>
  </van-field>

</template>

<script>
export default {
  data() {
    return {
      name: "xxx"
    }
  },
  methods: {
    onChange(v) {
      this.$emit('input', v)
    }
  },
  props: {
    label: {},
    // required: {},
    // text: {},
  },
};
</script>

<style>
.info-item {
  @apply flex mb-40rem;
}

.info-item-label {
  @apply flex w-120rem items-center;
}

.info-item-label .content-holder {
  @apply w-8rem h-full mr-6rem ml-17rem;
}
</style>
